// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from kompass_interfaces:msg/FollowPathRequest.idl
// generated code does not contain a copyright notice

#include "kompass_interfaces/msg/detail/follow_path_request__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_kompass_interfaces
const rosidl_type_hash_t *
kompass_interfaces__msg__FollowPathRequest__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x58, 0x63, 0xdb, 0x8d, 0xff, 0xd3, 0x5a, 0x31,
      0xbb, 0xec, 0x89, 0x4f, 0x88, 0x09, 0x7e, 0xc7,
      0xaa, 0xa7, 0x50, 0xe1, 0x13, 0xea, 0x37, 0xe4,
      0x28, 0x75, 0xc4, 0xa4, 0xc4, 0xd9, 0x84, 0xd6,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char kompass_interfaces__msg__FollowPathRequest__TYPE_NAME[] = "kompass_interfaces/msg/FollowPathRequest";

// Define type names, field names, and default values
static char kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__path_source[] = "path_source";
static char kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__path_name[] = "path_name";
static char kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__path_file_location[] = "path_file_location";
static char kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__path_follower_type[] = "path_follower_type";
static char kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__robot_cmd_topic[] = "robot_cmd_topic";

static rosidl_runtime_c__type_description__Field kompass_interfaces__msg__FollowPathRequest__FIELDS[] = {
  {
    {kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__path_source, 11, 11},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__path_name, 9, 9},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__path_file_location, 18, 18},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__path_follower_type, 18, 18},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_INT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {kompass_interfaces__msg__FollowPathRequest__FIELD_NAME__robot_cmd_topic, 15, 15},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
kompass_interfaces__msg__FollowPathRequest__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {kompass_interfaces__msg__FollowPathRequest__TYPE_NAME, 40, 40},
      {kompass_interfaces__msg__FollowPathRequest__FIELDS, 5, 5},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# msg request to start following a path\n"
  "int32 FOLLOW_PATH_FROM_ROS_TOPIC = 0\n"
  "int32 FOLLOW_PATH_FROM_XML_FILE = 1\n"
  "\n"
  "int32 path_source\n"
  "string path_name        # ROS topic name or path file xml name\n"
  "string path_file_location   # path file location\n"
  "int32 path_follower_type\n"
  "string robot_cmd_topic      # topic name for sending the control";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
kompass_interfaces__msg__FollowPathRequest__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {kompass_interfaces__msg__FollowPathRequest__TYPE_NAME, 40, 40},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 334, 334},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
kompass_interfaces__msg__FollowPathRequest__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *kompass_interfaces__msg__FollowPathRequest__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
